Package com.microblink.blinkid.fragment.overlay.components

# Class TorchController

java.lang.Object
com.microblink.blinkid.fragment.overlay.components.TorchController

public class TorchController extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TorchController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onTorchSupportStatusAvailable()`
  This method should be called immediately after the camera preview has been started and torch support status is available (torch is supported by currently opened camera or not).
  `void`
  `setTorchStateListener(OverlayTorchStateListener torchStateListener)`
  `void`
  `setup(android.widget.ImageView torchButton, RecognizerRunnerView recognizerRunnerView)`
  `void`
  `setup(android.widget.ImageView torchButton, RecognizerRunnerView recognizerRunnerView, android.graphics.drawable.Drawable iconOff, android.graphics.drawable.Drawable iconOn)`
  `void`
  `setup(RecognizerRunnerView recognizerRunnerView)`
  `void`
  `toggleTorchState()`
  `void`
  `updateTorchState(boolean isTorchEnabled)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TorchController

    public TorchController()

- ## Method Details

  - ### setup

    public void setup(@Nullable RecognizerRunnerView recognizerRunnerView)

  - ### setup

    public void setup(@Nullable android.widget.ImageView torchButton, @Nullable RecognizerRunnerView recognizerRunnerView)

  - ### setup

    public void setup(@Nullable android.widget.ImageView torchButton, @Nullable RecognizerRunnerView recognizerRunnerView, @Nullable android.graphics.drawable.Drawable iconOff, @Nullable android.graphics.drawable.Drawable iconOn)

  - ### onTorchSupportStatusAvailable

    public void onTorchSupportStatusAvailable()
    This method should be called immediately after the camera preview has been started and torch support status is available (torch is supported by currently opened camera or not).

  - ### updateTorchState

    public void updateTorchState(boolean isTorchEnabled)

  - ### toggleTorchState

    public void toggleTorchState()

  - ### setTorchStateListener

    public void setTorchStateListener(@Nullable OverlayTorchStateListener torchStateListener)